> For the complete documentation index, see [llms.txt](https://docs.betterbuilding.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.betterbuilding.io/support-and-training/other-support/tutorials/speckel-tutorial-archive/pollination-rhino-plug-in.md).

# Pollination Rhino Plug-in

The Pollination plugin for Rhino allows you to import or export multiple file formats, including gbXML, IDF, OSM, GEM, IDM, and RAD files.

{% hint style="info" %}
Read more - <https://docs.pollination.cloud/user-manual/rhino-plugin/getting-started>
{% endhint %}

{% hint style="warning" %}
The 3D feature to import into Speckel is in a testing phase, only available to [Enterprise Plans](broken://pages/MDvkjCUD7EVopR5p8HOS). Please contact <support@speckel.io> if you would like to access this feature early and your are on a [Practice Plan](broken://pages/tPKLo7AD4lTq5WnS6C8F).
{% endhint %}

## Setting Up Your Rhino Model

{% embed url="<https://www.loom.com/share/ff000860b0524b25ae6affc386bab19a?hide_owner=true&hide_share=true&hide_title=true&hideEmbedTopBar=true>." %}

Setting up a model using the Pollination plugin for Rhino involves several key steps. Here’s a step-by-step guide:

### Install the Plug-in:

Ensure you have the latest version of the plugin installed. [Read more](https://app.pollination.cloud/cad-plugins).

### Start a New Rhino Model:

Open Rhino, and you will find the Pollination toolbar added. If you cannot see it, type "POLLINATION" in the command line.&#x20;

### Create Building Geometry

Use Rhino's native tools or Pollination's additional drawing tools, create the building geometry, including walls, floors, roofs, and windows. Each zone represents a space with uniform temperature control.

### Assign Spaces and Zones

Use the “Select Geometries” tool in the OpenStudio Plug-in to assign SketchUp groups as thermal zones. Ensure spaces are correctly assigned and named according to your energy model needs.

### Add Building Elements

Use the Pollination plugin tools to add windows, doors, shading devices, and other elements. Assign construction materials to these elements using the properties tab.

### Check and Validate the Model

Use the Pollination plugin diagnostic tools (PO\_ValidateModel) to check for errors, such as unassigned surfaces or gaps between spaces.

### Export the Model

Save the Rhino model. To export a gbXML, navigate to File>Export Selected and then select the Save as type as Green Building XML (\*.xml).

### Open in Speckel

Create a new Design and import the gbXML file into Speckel. Once converted, hit 'Save' and navigate to Levels. Select 'Detect Levels' and 'Detect'. Hit Save.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.betterbuilding.io/support-and-training/other-support/tutorials/speckel-tutorial-archive/pollination-rhino-plug-in.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
